#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	AppConfig
Summary:	AppConfig - Perl5 module for reading configuration files and parsing command line arguments
Summary(pl.UTF-8):	AppConfig - moduł Perla 5 do czytania plików konfiguracyjnych i analizy linii polecenia
Name:		perl-AppConfig
Version:	1.71
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/AppConfig/%{pdir}-%{version}.tar.gz
# Source0-md5:	7747d9241561ed5567d5e134b8648707
URL:		http://search.cpan.org/dist/AppConfig/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-App-Config
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
AppConfig is a Perl5 module for managing application configuration
information. It maintains the state of any number of variables and
provides methods for parsing configuration files, command line
arguments and CGI script parameters.

%description -l pl.UTF-8
AppConfig jest modułem Perla 5 służącym do czytania informacji
konfiguracyjnych aplikacji. Zachowuje on stan dowolnej liczby
zmiennych i udostępnia metody do analizy plików konfiguracyjnych,
argumrntów linii polecenia i parametrów skryptów CGI.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/AppConfig
%{perl_vendorlib}/AppConfig.pm
%{_mandir}/man3/AppConfig*.3pm*
%changelog
* Sat Jan 09 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-AppConfig.git;a=log;h=master

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> f60640e
- updated to 1.71

* Sun Jun 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 1b8b2c9
- more verbose files

* Wed Dec 26 2007 zbyniu <zbyniu@pld-linux.org> 158f711
- up to 1.66; generic URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 854154b
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bad4345
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 6eb4b36
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> 155f11b
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 1d8ce1b
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> f351c9d
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> f7b738f
- cosmetics: unification

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> cfa5689
- better description

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 0daa08f
- s/no/nb/ in Summary langs

* Sat Feb 07 2004 Adam Gołębiowski <adamg@pld-linux.org> d920ba4
- updated to 1.56
- new style bconds

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> bc857ad
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 6a13851
- mass commit: cosmetics (removed trailing white spaces)

* Thu Jun 12 2003 misi3k <misi3k@pld-linux.org> 2cf98d8
- updated to 1.55

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 68bb8f4
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> a0099c3
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 07802f7
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 309acf7
- should be ready for perl-5.8.0; release++

